com.io7m.jcamera

## Class JCameraSphericalMouseRegion.Builder

- java.lang.Object
- - com.io7m.jcamera.JCameraSphericalMouseRegion.Builder

- Enclosing class:
    JCameraSphericalMouseRegion

      public static final class JCameraSphericalMouseRegion.Builder
      extends Object

  Builds instances of type `JCameraSphericalMouseRegion`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCameraSphericalMouseRegion` | `build()` Builds a new `JCameraSphericalMouseRegion`.
    `JCameraSphericalMouseRegion.Builder` | `from(JCameraSphericalMouseRegionType instance)` Fill a builder with attribute values from the provided `JCameraSphericalMouseRegionType` instance.
    `JCameraSphericalMouseRegion.Builder` | `setHeight(double height)` Initializes the value for the `height` attribute.
    `JCameraSphericalMouseRegion.Builder` | `setOrigin(JCameraScreenOrigin origin)` Initializes the value for the `origin` attribute.
    `JCameraSphericalMouseRegion.Builder` | `setWidth(double width)` Initializes the value for the `width` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final JCameraSphericalMouseRegion.Builder from(JCameraSphericalMouseRegionType instance)

      Fill a builder with attribute values from the provided `JCameraSphericalMouseRegionType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setOrigin

          public final JCameraSphericalMouseRegion.Builder setOrigin(JCameraScreenOrigin origin)

      Initializes the value for the `origin` attribute.
      Parameters:
        `origin` - The value for origin
      Returns:
        `this` builder for use in a chained invocation

    - #### setWidth

          public final JCameraSphericalMouseRegion.Builder setWidth(double width)

      Initializes the value for the `width` attribute.
      Parameters:
        `width` - The value for width
      Returns:
        `this` builder for use in a chained invocation

    - #### setHeight

          public final JCameraSphericalMouseRegion.Builder setHeight(double height)

      Initializes the value for the `height` attribute.
      Parameters:
        `height` - The value for height
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public JCameraSphericalMouseRegion build()

      Builds a new `JCameraSphericalMouseRegion`.
      Returns:
        An immutable instance of JCameraSphericalMouseRegion
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com